Subject: Re: bug#78859: 31.0.50; Viewing mime part in Rmail sets truncate-lines

From: Francesco Potortì <[email-masked]>
Date: Thu, 03 Jul 2025 10:33:09 +0200

>> From: Francesco Potortì <[email-masked]>
>> Date: Wed, 02 Jul 2025 22:40:03 +0200
>> 
>> >  > I use RMAIL and receive tons of emails per day.  I can try and
>> >  > look for such a message and keep it if I see one.  But I need to
>> >  > understand what is an email message with "more than a single MIME
>> >  > part, not all of them HTML".  If an email with a text/plain part
>> >  > followed by a text/html part, not embedded into a multipart
>> >  > container, satisfies your definition, I think I can easily find
>> >  > one.
>> >
>> >that's exactly what I mean.  But in order to manifest this bug,
>> >it needs to have some lines that are long enough to be continued
>> >or truncated.
>> 
>> Let's try with this one.
>
>Thanks.  But visiting this mbox in Rmail leaves me with an Rmail
>buffer where truncate-lines is nil.  Do you see the value of t on your
>system?

I tried with emacs -Q -nw and truncate-lines is nil, on this mbox file and on any other email that I have in my RMAIL.  As you can see, there are two separate text/plain and text/email parts and there are long lines, but I see no bad effect.